Box2D 2.3.0 A 2D Physics Engine for Games

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Attributes | List of all members
b2ContactEdge Struct Reference

`#include <b2Contact.h>`

## Public Attributes
b2Body * | other
| provides quick access to the other body attached.
b2Contact * | contact
| the contact
b2ContactEdge * | prev
| the previous contact edge in the body's contact list
b2ContactEdge * | next
| the next contact edge in the body's contact list

## Detailed Description

A contact edge is used to connect bodies and contacts together in a contact graph where each body is a node and each contact is an edge. A contact edge belongs to a doubly linked list maintained in each attached body. Each contact has two contact nodes, one for each attached body.

The documentation for this struct was generated from the following file:

- b2Contact.h